main()
{
	maps\mp\_load::main();

	level thread btd_waypoints\mp_lpost\mp_lpost_waypoints::load_waypoints();
	level thread btd_waypoints\mp_lpost\mp_lpost_zomspawns::load_zomspawns();
	level thread btd_waypoints\mp_lpost\mp_lpost_chopperdrops::load_chopperdrops();
	level thread btd_waypoints\mp_lpost\mp_lpost_anticamp::load_anticamp();

	// Minimap (uncomment for final release)
	maps\mp\_compass::setupMiniMap("compass_map_mp_lpost");
	setdvar("compassmaxrange","1000");
	
	// Fx
	maps\mp\mp_lpost_fx::main();
	maps\createfx\mp_lpost_fx::main();
	maps\mp\mp_lpost_customfx::init();
	setExpFog(600, 2000, .45, .45, .5, 10);
  
	// Ambient sounds
	ambientPlay("ambient_hill");
	
	// Teams & appearance
	game["allies"] = "sas";
	game["axis"] = "russian";
	
	game["attackers"] = "allies";
	game["defenders"] = "axis";
	
	game["allies_soldiertype"] = "woodland";
	game["axis_soldiertype"] = "woodland";
	
	// Retrieval support
	if( "re" == getDvar( "g_gametype" ) )
	{
		level.objective_vcr = [];
		level.objective_vcr[0] = spawn( "script_model", (928.003, 443.905, 52) );
		level.objective_vcr[0].angles = (0, 3.1, 0);
		level.objective_vcr[1] = spawn( "script_model", (1389.5, -78.616, -128) );
		level.objective_vcr[1].angles = (0, 176.2, 0);
		level.objective_vcr[2] = spawn( "script_model", (-148.004, 1329.88, -132) );
		level.objective_vcr[2].angles = (0, 176.2, 0);
		
		level.objective_vcrcase = [];
		level.objective_vcrcase[0] = spawn( "script_model", (1092.01, 485.284, 40.5) );
		level.objective_vcrcase[0].angles = (0, 273.1, 0);
		level.objective_vcrcase[1] = spawn( "script_model", (1282.55, -639.353, -123.5) );
		level.objective_vcrcase[1].angles = (0, 176.2, 0);
		level.objective_vcrcase[2] = spawn( "script_model", (538.263, 278.007, -131.5) );
		level.objective_vcrcase[2].angles = (0, 356.6, 0);
		
		addobj_base( "objective_base", (-744, 248, 17) , (0, 0, 0) );
	}
	
	// CTF support
	if( "ctf" == getDvar( "g_gametype" ) )
	{
		addobj("allied_flag" , (-744, 248, 16), (0, 0, 0));
		addobj("axis_flag" , (1264, 360, -172), (0, 0, 0));
	}
		
	// CTFB support
	if( "ctfb" == getDvar( "g_gametype" ) )
	{
		addobj("allied_flag" , (-744, 248, 16), (0, 0, 0));
		addobj("axis_flag" , (1266, 360, -169.5), (0, 0, 0));
	}
		
	// Rotating entities (global)
	thread fx_entity_spin();
}
//-------------------------------------------------------------------


fx_entity_spin()
{
	ents = getentarray( "rotate" , "targetname" );
	for( i = 0 ; i < ents.size ; i++ )
	{
		ents[i] thread spinme( 12 );
	}
}
//-------------------------------------------------------------------


spinme( speed )
{
	while( 1 )
	{
		self rotateYaw( 360 , speed );
		wait( speed - 0.1 );
	}
}
//-------------------------------------------------------------------


addobj_base(name, origin, angles)
{
   ent = spawn("trigger_radius", origin, 0, 40, 48);
   ent.targetname = name;
   ent.angles = angles;
}
//-------------------------------------------------------------------

addobj(name, origin, angles)
{
	ent = spawn("trigger_radius", origin, 0, 48, 148);
	ent.targetname = name;
	ent.angles = angles;
}
//-------------------------------------------------------------------
